
Flourish - Bug #7676

TB screening CRF- pending results at follow up visits

02/08/2024 17:26 - Melanie Dubois

Status: Closed Start date: 02/08/2024

Priority: Normal Due date: 05/09/2024

Assignee: Nimrod Munatsi % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

DMC to work on functionality to address pending results at follow up visits for TB screening CRF for caregiver and child

History

#1 - 05/08/2024 10:28 - Nimrod Munatsi

- Due date set to 06/08/2024

- Assignee set to Nimrod Munatsi

#2 - 05/08/2024 10:28 - Nimrod Munatsi

- Due date changed from 06/08/2024 to 09/08/2024

#3 - 22/08/2024 14:10 - Nimrod Munatsi

- Due date deleted (09/08/2024)

#4 - 26/08/2024 10:00 - Nimrod Munatsi

- Due date set to 30/08/2024

#5 - 03/09/2024 16:46 - Nimrod Munatsi

- Due date changed from 30/08/2024 to 05/09/2024

#6 - 04/09/2024 09:54 - Nimrod Munatsi

- Status changed from New to Resolved

#7 - 05/09/2024 14:49 - Gosego Masasa

- Status changed from Resolved to Feedback

Tested with PID 0181-5 on both maternal and child. The pending results functionality is working fine; DMC has placed a notification to alert the clinic not to

save the CRF without attending the pending results section. Team to update the results if they are available otherwise if they are still pending they can click

on "ok" to proceed, there is no need to click pending at the pending results section. The functionality has to exist until the results are captured and this has

been tested too and working fine.

Pending task: DMC to re-word the notification to read as;

There are PENDING results from previous visit/s. Do you want to proceed?

#8 - 16/09/2024 09:00 - Kebadiretse Motlhabi

- Status changed from Feedback to Resolved

#9 - 16/09/2024 14:00 - Samuel Wilson Kgole

- Status changed from Resolved to Closed
1. last visit Pending results table appears at the top

2. It disappears when results are available and captured

3. The previous visit results get updated when table result is updated

4. The table persists when results are still pending with confirmatory message mentioned above.
